ubuntu-location-service: core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > > Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Static Public Member Functions | List of all members
core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >:

## Static Public Member Functions
constexpr static ArgumentType | type_value ()
constexpr static bool | is_basic_type ()
constexpr static bool | requires_signature ()
static std::string | signature ()

## Detailed Description

Definition at line 306 of file codec.h.

## Member Function Documentation

## ◆ is_basic_type()

constexpr static bool core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::is_basic_type | ( |  | ) |
| inlinestaticconstexpr

Definition at line 312 of file codec.h.

## ◆ requires_signature()

constexpr static bool core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::requires_signature | ( |  | ) |
| inlinestaticconstexpr

Definition at line 316 of file codec.h.

## ◆ signature()

static std::string core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::signature | ( |  | ) |
| inlinestatic

Definition at line 321 of file codec.h.

References core::dbus::helper::TypeMapper< com::ubuntu::location::SpaceVehicle >::signature().

Here is the call graph for this function:

## ◆ type_value()

constexpr static ArgumentType core::dbus::helper::TypeMapper< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::type_value | ( |  | ) |
| inlinestaticconstexpr

Definition at line 308 of file codec.h.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/codec.h